<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Page](./puppeteer.page.md) &gt; [waitForNavigation](./puppeteer.page.waitfornavigation.md)

## Page.waitForNavigation() method

<b>Signature:</b>

```typescript
waitForNavigation(options?: WaitForOptions): Promise<HTTPResponse | null>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | WaitForOptions |  |

<b>Returns:</b>

Promise&lt;[HTTPResponse](./puppeteer.httpresponse.md) \| null&gt;

